﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace TestTab.ViewModel
{
    public class Model
    {
        public int Key { get; set; }
        public string Desc { get; set; }
    }

    public class ModelTemplateSelector : DataTemplateSelector
    {
        public DataTemplate RedTemplate { get; set; }
        public DataTemplate BlueTemplate { get; set; }
        public DataTemplate YellowTemplate { get; set; }
        public DataTemplate BlackTemplate { get; set; }
        protected override DataTemplate SelectTemplateCore(object Object, DependencyObject Container)
        {
            var tab = Object as Model;
            if (tab != null)
            {
                switch (tab.Key)
                {
                    case 0: return RedTemplate;
                    case 1: return BlueTemplate;
                    case 2: return YellowTemplate;
                    default: return BlackTemplate;
                }
            }
            return base.SelectTemplateCore(Object, Container);
        }
    }
}
